Npm Install Vue Cli Init G

Posted on  by admin

Modified2 years, 8 months ago. I am busy setting up NativeScript and I am also adding in Vue.js support for it.

Well, I get this error when installing. Should I use --unsafe-perm or is there a better way to do this? you can solve this problem with --unsafe-perm : npm install -g @vue/cli @vue/cli-init --unsafe-perm.

Modified1 year, 11 months ago. When I tried to vue init webpack test-app, I got the following error: . This is what I did to install vue cli v3 beta6npm install -g @vue/cli.

This is the tutorial I followedhttps://itnext.io/getting-started-vue-js-and-visual-studio-code-6990f92e918a. Apparently, the tutorial does not need to install @vue/cli-init.

I am wondering why and how to solve this issue. Side Notes: When I install like this npm install -g vue-cli it works as expected. I have found that vue-cli is a stable 2.9.x version. 44 gold badges2222 silver badges3737 bronze badges.

3737 bronze badges. Please install npm install -g @vue/cli-init. Hope this will solve your problem. Muflah NasirMuflah Nasir. Looking at vue-cli repository I see two different ways of scaffolding vue projects. The v3 (beta) version, installed as npm install -g @vue/cli, creates projects using the following command:.

While the version 2.9.x, available at master branch, is installed as npm install -g vue-cli and it allows projects scaffolding with the following:.

So, in your scenario, for v3 version you should use: vue create test-app. Here you can find further information.

11 gold badge1212 silver badges2626 bronze badges.